Subject: Re: [PATCH] r8169: avoid OOM when allocating RX buffers

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Feb 2026 14:33:54 -0800

On Tue, 17 Feb 2026 22:50:30 +0100 Fabian Druschke wrote:
> Ahoy! Thanks for clarification! Didn't know it was intended behaviour.
> 
> We've encountered this issue specifically with this Realtek NIC on 
> ShredOS due to lack of mlx5, mlx4 etc.
> 
> For NICs like ixgbe we didn't encounter this issue so i was thinking 
> about a bug.

Most / all "professional grade"(??) NICs support scatter, where larger 
frames are written into multiple chunks, 4kB each. order-2 allocations
on the fast path are a bad idea. One way to alleviate the performance
implications would be to use page pool, but that doesn't help with the
initial fill, just the datapath :(

reminder: please avoid top posting when replying on the mailing list